<template>
  <Modal
    :value="visible"
    title="设置状态"
    draggable
    sticky
    :mask="false"
    @on-visible-change="visibleChange"
    :width="300"
    @on-ok="ok"
  >
    <Select v-model="state">
      <Option v-for="(item, index) in states" :value="item.id" :key="index">
        {{ item.text }}
      </Option>
    </Select>
  </Modal>
</template>

<script>
export default {
  name: "MonitorModalState",
  data() {
    return {
      states: [
        {
          id: "IDLE",
          text: "就绪",
        },
        {
          id: "UNKNOWN",
          text: "未知",
        },
        {
          id: "UNAVAILABLE",
          text: "不可用",
        },
        {
          id: "ERROR",
          text: "故障",
        },
        {
          id: "EXECUTING",
          text: "调度中",
        },
        {
          id: "CHARGING",
          text: "充电中",
        },
      ],
      state: "IDLE",
    };
  },
  model: {
    prop: "visible",
    event: "visible-change",
  },
  props: {
    visible: Boolean,
  },
  methods: {
    visibleChange(value) {
      this.$emit("visible-change", value);
    },
    ok() {
      this.$emit("ok", this.state);
      this.visibleChange(false);
    },
  },
};
</script>

<style lang="less" scoped>
</style>